# Class: Haml::ErubisTemplateHandler

Inherits:
  ActionView::Template::Handlers::Erubis
  - Object
  - ActionView::Template::Handlers::Erubis
  - Haml::ErubisTemplateHandler
  show all

Defined in:
  lib/haml/helpers/safe_erubis_template.rb

## Instance Method Summary collapse

- #initialize(*args, &blk) ⇒ ErubisTemplateHandler constructor

  A new instance of ErubisTemplateHandler.

## Constructor Details

### #initialize(*args, &blk) ⇒ `ErubisTemplateHandler`

Returns a new instance of ErubisTemplateHandler

    9
    10
    11
    12

    # File 'lib/haml/helpers/safe_erubis_template.rb', line 9

    def initialize(*args, &blk)
      @newline_pending = 0
      super
    end